# MatMerge

Creates a single large PETSc matrix by concatinating sequential matrices from each processor

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMerge(MPI_Comm comm,Mat inmat,PetscInt n,MatReuse scall,Mat *outmat)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicators the parallel matrix will live on
| inmat | - the input sequential matrices
| n | - number of local columns (or PETSC_DECIDE)
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

outmat -the parallel matrix generated

Notes: The number of columns of the matrix in EACH processor MUST be the same.

Level:advanced
Location: src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages